include ../include/gcc_unx.std

MCFLAGS = -I.

SYS     = nw
SYSLIB  = nw

OBJ =   $(SYS).o nwtcp.o nwudp.o nwicmp.o nwsnmp.o nw$(NETIFACE).o

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a $(INCDIR)/$(SYS)snmpdef.h

$(INCDIR)/$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(OBJ) 
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(OBJ)
	ranlib $(LIBDIR)/lib$(SYSLIB).a
	
$(INCDIR)/nwsnmpdef.h: nwsnmp/nwsnmpdef.h
	$(CP) nwsnmp/nwsnmpdef.h $@

obj: $(OBJ)
       
clean:
	- $(RM) *.o
	- $(RM) *.a
	- $(RM) *.exe
	- $(RM) core
	- $(RM) test
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).o: $(SYS).c $(SYS).h

nwtcp.o: nwtcp/nwtcp.c nwtcp/nwtcp.h
	$(CC) $(CFLAGS) -Inwtcp -c -o nwtcp.o nwtcp/nwtcp.c 

nwudp.o: nwudp/nwudp.c nwudp/nwudp.h
	$(CC) $(CFLAGS) -Inwudp -c -o nwudp.o nwudp/nwudp.c 

nwicmp.o: nwicmp/nwicmp.c nwicmp/nwicmp.h
	$(CC) $(CFLAGS) -Inwicmp -c -o nwicmp.o nwicmp/nwicmp.c 

nwsnmp.o: nwsnmp/nwsnmp.c nwsnmp/nwsnmp.h nwsnmp/nwsnmpdef.h
	$(CC) $(CFLAGS) -Inwsnmp -c -o nwsnmp.o nwsnmp/nwsnmp.c 

nw$(NETIFACE).o: nw$(NETIFACE)/nw$(NETIFACE).c nw$(NETIFACE)/nw$(NETIFACE).h
	$(CC) $(CFLAGS) -Inw$(NETIFACE) -c -o nw$(NETIFACE).o nw$(NETIFACE)/nw$(NETIFACE).c 
