/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _NWDLPI_H
#define _NWDLPI_H
    

#include <sys/types.h>
#include <sys/time.h>

#include <block.h>
#include <dnpap.h>

#include "nw.h"
            

#define NWDLPI_SIZE_ENTRY        32
#define NWDLPI_SIZE_INTERFACE    32
#define NWDLPI_SIZE_PACKET     4096
#define NWDLPI_SIZE_ADDRESS       6

#define NWDLPIDEVICE     "/dev/le"
#define NWDLPIFILTER     "pfmod"
#define NWDLPIBUFFER     "bufmod"

                      
enum NwDlpiErrors
{
    NWDLPI_OK = NWDLPI_ERROR, 
    NWDLPI_PARAM, NWDLPI_IDLPI, NWDLPI_ROOT,
    NWDLPI_OPEN, NWDLPI_SETUP, NWDLPI_IOCTL, NWDLPI_PUSH, 
    NWDLPI_NEWDLPI, 
    NWDLPI_ADDLIST, NWDLPI_BLOCK,
    NWDLPI_READ, NWDLPI_SEND,     
    NWDLPI_WEVENT, NWDLPI_EEVENT, NWDLPI_NEVENT
};


typedef struct _NwDlpi
{
	INT Socket;
	CHAR *Interface;
    BYTE  Address[NWDLPI_SIZE_ADDRESS];
	ULONG BufSize;
	ULONG SnapLen;
	TIMEVAL Timeout;
	ULONG Flags;
	BYTE *Buf;
	LONG  Pos;
	LONG  End;
	         
} NwDlpi;
    

typedef struct _NwDlpiDg
{          
    NW_DG   NwInfo;
    NwDlpi  DlpiInfo;
    
    BLOCK            *Block;
    
    struct _NwDlpiDg *Prev;
    struct _NwDlpiDg *Next;
    
} NwDlpiDg;

      

extern NW_DG_IFACE DlpiDgIface;


BOOLEAN NwDlpiInit(VOID);
BOOLEAN NwDlpiExit(VOID);

NW_DG  *NwDlpiAccept(char *addr, NW_DG_RECV_CALL recv, VOID *param);
NW_DG  *NwDlpiConnect(char *addr, NW_DG_RECV_CALL recv, VOID *param);
BOOLEAN NwDlpiSend(NW_DG *dg, BYTE *frame, INT len);
BOOLEAN NwDlpiSendTo(NW_DG *dg, char *addr, BYTE *frame, INT len);
BOOLEAN NwDlpiClose(NW_DG *dg);


#endif
